Bug 216050 - NetBeans could not read long lines on search
NetBeans could not read long lines on search
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Search
7.2
PC Linux
: P3 (vote)
: 7.3
Assigned To: Jaroslav Havlin
issues@utilities
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 10:06 UTC by junaidpv
Modified: 2012-08-08 02:34 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
IDE log (32.49 KB, text/plain)
2012-07-27 10:06 UTC, junaidpv
Details
Search error (10.62 KB, image/png)
2012-07-27 10:07 UTC, junaidpv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description junaidpv 2012-07-27 10:06:08 UTC
Product Version = NetBeans IDE 7.2 (Build 201207171143)
Operating System = Linux version 3.2.0-27-generic-pae running on i386
Java; VM; Vendor = 1.7.0_03
Runtime = OpenJDK Client VM 22.0-b10

When I searched for a certain string across file under directories of my project the search result included this error "jwplayer.js could not be read: Line is too long: 1". So NetBeans cannot read from files containing very long lines. I have attached a screen shot also.

I switched NetBeans 7.2 yesterday. NetBeans never showed this type of errors to me.
Comment 1 junaidpv 2012-07-27 10:06:15 UTC
Created attachment 122453 [details]
IDE log
Comment 2 junaidpv 2012-07-27 10:07:16 UTC
Created attachment 122454 [details]
Search error
Comment 3 Jaroslav Havlin 2012-08-03 07:51:12 UTC
The line-length limit should prevent searching in corrupted files, but minified javascript files are not handled correctly because of it. The limit should be increased, or the logic changed. I'm sorry for the inconvenience.

Long lines can cause problems (UI freezing) when showing in search results window. Only the interesting part of the line should be shown if the line exceeds some limit (e.g. 1024 characters).

Before this is fixed, use this workaround, please:
Check "Regular Expressing" option, and prefix the searched text with "(?s)", for example "(?s)someText".

Thank you for reporting.
Comment 4 Jaroslav Havlin 2012-08-07 12:05:02 UTC
http://hg.netbeans.org/core-main/rev/682297e9775e
Fixed.
Comment 5 Quality Engineering 2012-08-08 02:34:22 UTC
Integrated into 'main-golden', will be available in build *201208080001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/682297e9775e
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #216050: NetBeans could not read long lines on search


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo